> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getbluejay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v2/retrieve-simulation-result/{test_result_id}

> Get one result with the grade of each success-criteria bullet.

Returns the same result as [the `/v1` endpoint](https://docs.getbluejay.ai/api-reference/endpoint/retrieve-simulation-result), with its success criteria graded one bullet at a time. `criteria_pass_rate` is the share of bullets that passed, from 0 to 100, and the result passes only when every bullet passed.## Path parameters

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Headers

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Response

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Status codes| Status | Meaning |
| - | - |
| `200` | Successful Response |
| `422` | Validation Error |## Example request```bash theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
curl --request GET \
  --url https://api.getbluejay.ai/v2/retrieve-simulation-result/{test_result_id} \
  --header 'X-API-Key: <api-key>'
```## Example response```json 200 theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
{
  "simulation_result": {
    "id": 123,
    "digital_human_id": 123,
    "result": {},
    "duration": 123,
    "start_time": "2026-01-01T00:00:00Z",
    "end_time": "2026-01-01T00:00:00Z",
    "custom_metrics": {},
    "status": "<string>",
    "latency": {},
    "events": [
      {
        "title": "<string>",
        "start_offset_ms": 123,
        "description": "<string>",
        "end_offset_ms": 123,
        "tags": [
          "<string>"
        ],
        "metadata": {}
      }
    ],
    "transcript": [
      {}
    ],
    "transcript_url": "<string>",
    "audio_url": "<string>",
    "evaluations": [
      {
        "id": "<string>",
        "created_at": "2026-01-01T00:00:00Z",
        "hallucination": true,
        "hallucination_reasoning": "<string>",
        "redundancy": true,
        "redundancy_reasoning": "<string>",
        "agent_speak_percentage": 1.5,
        "avg_agent_latency": 1.5,
        "latency": {
          "avg_agent_latency": 0,
          "max_agent_latency": 0,
          "p50_agent_latency": 0,
          "p90_agent_latency": 0,
          "p95_agent_latency": 0,
          "p99_agent_latency": 0
        },
        "filler_ignored_latency": {
          "avg_filler_ignored_latency": 0,
          "p50_filler_ignored_latency": 0,
          "p90_filler_ignored_latency": 0,
          "p95_filler_ignored_latency": 0,
          "p99_filler_ignored_latency": 0
        },
        "num_turns": 123,
        "call_summary": "<string>",
        "custom_evals": [
          null
        ],
        "custom_evals_success_rate": 1.5,
        "goal_success": true,
        "goal_reasoning": "<string>",
        "success_criteria_results": [
          null
        ],
        "criteria_pass_rate": 1.5,
        "pronunciation_score": 1.5,
        "pronunciation_reasoning": "<string>",
        "sentiment_label": "<string>",
        "sentiment_score": 1.5,
        "sentiment_scores": {
          "key": 1.5
        },
        "custom_metrics": [
          {
            "name": null,
            "description": null,
            "response_type": null,
            "response_value": null,
            "reasoning": null,
            "min_value": null,
            "max_value": null,
            "category": null,
            "tags": null,
            "scoring_guidance": null,
            "enum_options": null,
            "human_edited": null,
            "human_response_value": null,
            "human_reasoning": null,
            "override_reason_code": null,
            "override_notes": null,
            "last_edited_by": null,
            "last_edited_at": null
          }
        ],
        "human_edited": true,
        "human_goal_success": true,
        "human_goal_reasoning": "<string>",
        "human_hallucination": true,
        "human_hallucination_reasoning": "<string>",
        "human_redundancy": true,
        "human_redundancy_reasoning": "<string>",
        "human_pronunciation_score": 1.5,
        "human_pronunciation_reasoning": "<string>",
        "override_goal_reason_code": "<string>",
        "override_goal_notes": "<string>",
        "override_hallucination_reason_code": "<string>",
        "override_hallucination_notes": "<string>",
        "override_redundancy_reason_code": "<string>",
        "override_redundancy_notes": "<string>",
        "override_pronunciation_reason_code": "<string>",
        "override_pronunciation_notes": "<string>",
        "last_edited_by": "<string>",
        "last_edited_at": "2026-01-01T00:00:00Z",
        "predicted_age": 1.5,
        "customer_gender": "<string>",
        "gender_confidence": 1.5,
        "detected_language": "<string>",
        "language_confidence": 1.5,
        "agent_audio_clarity": 1.5,
        "user_audio_clarity": 1.5
      }
    ],
    "tool_calls": [
      {
        "name": "<string>",
        "expected": [
          {
            "parameters": {},
            "output": null
          }
        ],
        "actual": [
          {
            "parameters": {},
            "output": null,
            "start_offset_ms": null
          }
        ]
      }
    ],
    "trace_ids": [
      "<string>"
    ],
    "metrics": [
      {
        "metric_id": "<string>",
        "name": "<string>",
        "type": "<string>",
        "value": null,
        "not_applicable": false,
        "reasoning": "<string>"
      }
    ],
    "criteria_pass_rate": 1.5,
    "criteria": [
      {
        "id": "<string>",
        "text": "<string>",
        "passed": true,
        "reasoning": "<string>"
      }
    ]
  },
  "credits_used": 1.5,
  "status": "200"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.